#include <bits/stdc++.h>

using namespace std;

int main ()
{
	int k=0, v;
	cin>>v;
	int br=0;
	int v1=v;
	int niz[18];
	while(v1>=10)
	{
		v1=v1/10;
		k++;
	}
	for(int i=0; i<=k; i++)
	{
		niz[i]=pow(10, i);
	}
	v1=v;
	while(v1!=0)
	{
		while(5*niz[k] <= v1)
		{
			br++;
			v1-=5*niz[k];
		}
		while(2*niz[k] <= v1)
		{
			br++;
			v1-=2*niz[k];
		}
		while(niz[k] <= v1)
		{
			br++;
			v1-=niz[k];
		}
		k--;
	}
	cout<<br<<endl;
}